package com.hongyegroup.cpt_newsfeed.ui

import android.os.Bundle
import com.guadou.cs_cptservices.base.fragment.YYBaseVDBLazyLoadingFragment
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.KeyboardUtils
import com.hongyegroup.cpt_newsfeed.BR
import com.hongyegroup.cpt_newsfeed.R
import com.hongyegroup.cpt_newsfeed.databinding.FragmentNewsfeedProfileBinding
import com.hongyegroup.cpt_newsfeed.mvvm.NewsFeedProfileViewModel

/**
 * 我的发布 个人主页 同一个页面
 */
class NewsFeedProfileFragment(
    private val mMemberId: String?, private val isSelf: Boolean
) : YYBaseVDBLazyLoadingFragment<NewsFeedProfileViewModel, FragmentNewsfeedProfileBinding>() {

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.fragment_newsfeed_profile, BR.viewModel, mViewModel)
            .addBindingParams(BR.click, ClickProxy())
    }

    override fun init(savedInstanceState: Bundle?) {
    }

    override fun onLazyInitData() {

    }

    override fun startObserve() {

    }

    fun scrollTopRefresh() {

    }

    /**
     * DataBinding事件处理
     */
    inner class ClickProxy {

        fun selectCountryCode() {
            KeyboardUtils.hideSoftInput(mActivity)
        }

    }

}